QXmppPasswordReply Class Reference

The QXmppPasswordRequest class represents a password reply. More...

`#include <QXmppPasswordChecker.h>`

List of all members.

## Public Types

enum | Error { NoError = 0, AuthorizationError, TemporaryError }
| This enum is used to describe authentication errors.

## Public Slots

void | finish ()
| Mark reply as finished.
void | finishLater ()
| Delay marking reply as finished.

## Signals

void | finished ()

## Public Member Functions

| QXmppPasswordReply (QObject *parent=0)
QByteArray | digest () const
| Returns the received MD5 digest.
void | setDigest (const QByteArray &digest)
QString | password () const
| Returns the received password.
void | setPassword (const QString &password)
QXmppPasswordReply::Error | error () const
void | setError (QXmppPasswordReply::Error error)
bool | isFinished () const
| Returns true when the reply has finished.

## Detailed Description

The QXmppPasswordRequest class represents a password reply.

## Constructor & Destructor Documentation

QXmppPasswordReply::QXmppPasswordReply | ( | QObject * | parent = `0` | ) |

Constructs a new QXmppPasswordReply.

Parameters:

  parent |

## Member Function Documentation

QXmppPasswordReply::Error QXmppPasswordReply::error | ( |  | ) | const

Returns the error that was found during the processing of this request.

If no error was found, returns NoError.

void QXmppPasswordReply::setDigest | ( | const QByteArray & | digest | ) |

Sets the received MD5 digest.

Parameters:

  digest |

void QXmppPasswordReply::setError | ( | QXmppPasswordReply::Error | error | ) |

Returns the error that was found during the processing of this request.

void QXmppPasswordReply::setPassword | ( | const QString & | password | ) |

Sets the received password.

Parameters:

  password |

The documentation for this class was generated from the following files:

- QXmppPasswordChecker.h
- QXmppPasswordChecker.cpp

All Classes Functions Enumerations Enumerator Properties